Public Configuration
Retrieves all configurations of index providers. The returned response contains only search keys. Write keys are not returned.
The tenant that the caller is acting upon.
Please note that this value is always lowercase.
^[a-z][a-z0-9]+$API Key used for search purposes.
Application id of an indexer provider.
Identifier of an index.
Index provider name. Supported providers: ALGOLIA (https://www.algolia.com), BATTERY_INCLUDED (https://www.batteryincluded.io). Only one provider can be active per tenant at a time.
Indicates if the configuration is active or not.
Unauthorized
GET /indexing/{tenant}/public/configurations HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
[
{
"active": true,
"searchKey": "84dc4886f81f805c42bdd89d64de751a",
"applicationId": "8AP2HABA2I",
"indexName": "exampleTenant",
"provider": "ALGOLIA"
},
{
"active": false,
"indexName": "exampleTenant",
"provider": "BATTERY_INCLUDED"
}
]Retrieves a single public configuration by a provider name. Supported providers:
Algolia - https://www.algolia.com
Battery Included - https://www.batteryincluded.io
The tenant that the caller is acting upon.
Please note that this value is always lowercase.
^[a-z][a-z0-9]+$Provider name. Supported values: ALGOLIA, BATTERY_INCLUDED
OK
API Key used for search purposes.
Application id of an indexer provider.
Identifier of an index.
Index provider name. Supported providers: ALGOLIA (https://www.algolia.com), BATTERY_INCLUDED (https://www.batteryincluded.io). Only one provider can be active per tenant at a time.
Indicates if the configuration is active or not.
Given request is unauthorized - the authorization token is invalid or has expired. Details will be provided in the response payload.
Resource has not been found.
GET /indexing/{tenant}/public/configurations/{provider} HTTP/1.1
Host: api.emporix.io
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"active": true,
"searchKey": "84dc4886f81f805c42bdd89d64de751a",
"applicationId": "8AP2HABA2I",
"indexName": "exampleTenant",
"provider": "ALGOLIA"
}Last updated
Was this helpful?

